{% extends 'Default/backend.html.twig' %}

{% block main_content %}
<section id="intro" class="container my-4">
  <div class="row">
    <div class="col-lg-12">
      <h2>{{ 'code_generation.strategies.title' | trans() }}</h2>
    </div>

    <div class="col-lg-12">
      <div id="no-more-tables">
        <table class="table table-striped table-condensed cf">
          <thead>
          <tr>
            <th>{{ 'general.nome' | trans() }}</th>
            <th>{{ 'code_generation.strategies.prefix' | trans() }}</th>
            <th>{{ 'code_generation.strategies.postfix' | trans() }}</th>
            <th>{{ 'code_generation.strategies.temporal_reset' | trans() }}</th>
            <th>{{ 'gruppo_di_servizi.azioni' | trans() }}</th>
          </tr>
          </thead>
          <tbody>
          {% for item in items %}
            <td data-title="Nome">
              <a href="{{ path('admin_cgs_edit', { 'id': item.id }) }}">{{ item.name }}</a>
            </td>
            <td>{{ item.prefix }}</td>
            <td>{{ item.postfix }}</td>
            <td>{{ ('code_generation.strategies.temporal_reset_choices.' ~ item.temporalReset) | trans() }}</td>
            <td data-title="Azioni" class="actions">
              <a class="btn btn-secondary btn-xs" href="{{ path('admin_cgs_edit', { 'id': item.id }) }}">
                {{ 'gruppo_di_servizi.modifica' | trans() }}
              </a>
              <a class="btn btn-danger btn-xs"
                 onclick='return confirm("{{ 'code_generation.strategies.delete_popup' | trans() }}");'
                 href="{{ path('admin_cgs_delete', { 'id': item.id }) }}">{{ 'elimina' | trans() }}</a>
            </td>

            </tr>
          {% endfor %}
          </tbody>
        </table>
      </div>
      <a class="btn btn-primary" href="{{ path('admin_cgs_new') }}">{{ 'code_generation.strategies.create' | trans() }}</a>
    </div>
  </div>
</section>
{% endblock %}
